0

Approach

I'm trying to install bitcore on Windows 10 and Ubuntu 18 but I could not.

Problem

I have followed the following steps:

# Install NVM (1)
#  Install script
#   With CURl
# curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.33.11/install.sh | bash
#       or Wget:
wget -qO- https://raw.githubusercontent.com/creationix/nvm/v0.33.11/install.sh | bash

Adds the source line to your profile (~/.bash_profile, ~/.zshrc, ~/.profile, or ~/.bashrc)

export NVM_DIR="$HOME/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh" # This loads nvm

# Install Node.js v4 LTS
nvm install v4
# Install ZeroMQ and Tools
apt-get install libzmq3-dev build-essential
# Install Bitcore
npm install -g bitcore

More information

Bitcore Full

NVM

But when I run it I get the following errors

Error in Windows con git

$ npm install -g bitcore

Output

> bitcore-node@3.1.3 preinstall C:\Users\User\AppData\Roaming\npm\node_modules\bitcore\node_modules\bitcore-node
> ./scripts/download

"." no se reconoce como un comando interno o externo,
programa o archivo por lotes ejecutable.
npm WARN Error: EPERM: operation not permitted, lstat 'C:\Users\User\AppData\Roaming\npm\node_modules\bitcore\node_modules\utf-8-validate\node_modules'
npm WARN  { Error: EPERM: operation not permitted, lstat 'C:\Users\User\AppData\Roaming\npm\node_modules\bitcore\node_modules\utf-8-validate\node_modules'
npm WARN   stack: 'Error: EPERM: operation not permitted, lstat \'C:\\Users\\User\\AppData\\Roaming\\npm\\node_modules\\bitcore\\node_modules\\utf-8-validate\\node_modules\'',
npm WARN   errno: -4048,
npm WARN   code: 'EPERM',
npm WARN   syscall: 'lstat',
npm WARN   path: 'C:\\Users\\User\\AppData\\Roaming\\npm\\node_modules\\bitcore\\node_modules\\utf-8-validate\\node_modules' }
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! bitcore-node@3.1.3 preinstall: `./scripts/download`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the bitcore-node@3.1.3 preinstall script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\User\AppData\Roaming\npm-cache\_logs\2018-06-24T12_23_42_800Z-debug.log

Error in Ubuntu

npm install -g bitcore

Output

> bitcore-node@3.1.3 preinstall /root/.nvm/versions/node/v4.9.1/lib/node_modules/bitcore/node_modules/bitcore-node
> ./scripts/download

./scripts/download: line 30: cd: /root/.nvm/versions/node/v4.9.1/lib/node_modules/bitcore/node_modules/bitcore-node/scripts/../bin: Permission denied
npm ERR! Linux 4.15.0-22-generic
npm ERR! argv "/root/.nvm/versions/node/v4.9.1/bin/node" "/root/.nvm/versions/node/v4.9.1/bin/npm" "install" "-g" "bitcore"
npm ERR! node v4.9.1
npm ERR! npm  v2.15.11
npm ERR! code ELIFECYCLE

npm ERR! bitcore-node@3.1.3 preinstall: `./scripts/download`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the bitcore-node@3.1.3 preinstall script './scripts/download'.
npm ERR! This is most likely a problem with the bitcore-node package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     ./scripts/download
npm ERR! You can get information on how to open an issue for this project with:
npm ERR!     npm bugs bitcore-node
npm ERR! Or if that isn't available, you can get their info via:
npm ERR!
npm ERR!     npm owner ls bitcore-node
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!     /root/npm-debug.log

Question

Someone who has executed it sees an erroneous step or the same thing happens to him and he has solved it.

Thank you !!

0

Solution

"bitcore" is dead, regardless. It's not Bitcoin Core, to ease confusion.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.